Subject: bug#44418: 28.0.50; Spliced variable not matched as symbol in isearch

From: Eli Zaretskii <[email-masked]>
Date: Sat, 24 Jun 2023 09:39:52 +0300

> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked]
> From: Yuan Fu <[email-masked]>
> Date: Fri, 23 Jun 2023 15:39:20 -0700
> 
> 
> Mattias Engdegård <[email-masked]> writes:
> 
> >> Maybe we can introduce (@ NAME) as alternative syntax?
> >
> > Here is a proof-of-concept (missing tests and documentation), but it works and I think it's a definite improvement.
> >
> > Maybe we can get a blessing from Yuan Fu. To recap, this permits the
> > syntax (@ symbol-name) as an alternative to @symbol-name in treesit
> > queries because that allows symbol searching to match the symbol-name,
> > and this can be really helpful.
> 
> I want to point out that a) this will add complexity and make the syntax
> harder to read and learn (however minuscule the impact might be); b) is
> not enough by itself to make isearch symbol work with capture names:
> whoever write the code must _use_ this syntax; and c) I don’t think
> isearch symbol itself is popular/important enough to justify the change.

Given what Yuan says, I think we should drop this for now.  Let's
collect some real-world use experience, once Emacs 29 is released,
before planning any such changes.